Bug 245224 - cad/fritzing: Marked BROKEN/unfetchable but fetch works OK
Summary: cad/fritzing: Marked BROKEN/unfetchable but fetch works OK
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-03-31 22:13 UTC by bob
Modified: 2020-05-17 08:50 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (lenzi.sergio)


Attachments
Proposed patches to Makefile and distfile (1.24 KB, patch)
2020-04-01 21:33 UTC, bob
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description bob 2020-03-31 22:13:01 UTC
As it says.

This port is marked BROKEN, unfetchable.

However, the files are there on Github and fetch correctly with 'make fetch' (yes, I checked that they weren't coming from the FreeBSD repository).

I presume the port should no longer be marked BROKEN.

Thanks.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2020-04-01 03:43:22 UTC
I get the following:

===>   fritzing-0.9.2_18 depends on file: /usr/local/sbin/pkg - found
=> fritzing-fritzing-app-0.9.2b_GH0.tar.gz doesn't seem to exist in /home/linimon/ports/default/distfiles/.
=> Attempting to fetch https://codeload.github.com/fritzing/fritzing-app/tar.gz/0.9.2b?dummy=/fritzing-fritzing-app-0.9.2b_GH0.tar.gz
fetch: https://codeload.github.com/fritzing/fritzing-app/tar.gz/0.9.2b?dummy=/fritzing-fritzing-app-0.9.2b_GH0.tar.gz: size unknown
fetch: https://codeload.github.com/fritzing/fritzing-app/tar.gz/0.9.2b?dummy=/fritzing-fritzing-app-0.9.2b_GH0.tar.gz: size of remote file is not known
fritzing-fritzing-app-0.9.2b_GH0.tar.gz                 10 MB 5524 kBps 00m02s
=> Fetched file size mismatch (expected 10913985, actual 10913494)
=> Trying next site
=> Attempting to fetch http://distcache.FreeBSD.org/ports-distfiles/fritzing-fritzing-app-0.9.2b_GH0.tar.gz
Comment 2 bob 2020-04-01 06:54:45 UTC
Ah, I see. I will attempt to compare the old and new distfiles (I have both).
Comment 3 bob 2020-04-01 21:33:32 UTC
Created attachment 212953 [details]
Proposed patches to Makefile and distfile
Comment 4 bob 2020-04-01 21:34:02 UTC
I have compared the two distfiles.

- They decompress to files which are the same size as each other.
- These tarballs produce the same output from tar tvf ...
- When the tarballs are unpacked, the files appear to be identical

I can only assume that the distfile was remade at some point, and compressed slightly differently.

It would seem safe to re-enable the port with an updated PORTREVISION and a new distinfo file.

To save time, I attach a diff for the port.
Comment 5 commit-hook freebsd_committer 2020-05-15 19:47:16 UTC
A commit references this bug:

Author: rene
Date: Fri May 15 19:46:46 UTC 2020
New revision: 535326
URL: https://svnweb.freebsd.org/changeset/ports/535326

Log:
  cad/fritzing: fix fetch and unexpire

  The distfile has been rerolled, and (mildly) checked by the submitter
  for changes.

  PR:		245224
  Submitted by:	bob@eager.cx
  Approved by:	maintainer (timeout, 6 weeks)
  MFH:		2020Q2

Changes:
  head/cad/fritzing/Makefile
  head/cad/fritzing/distinfo
Comment 6 commit-hook freebsd_committer 2020-05-17 08:50:58 UTC
A commit references this bug:

Author: rene
Date: Sun May 17 08:50:07 UTC 2020
New revision: 535531
URL: https://svnweb.freebsd.org/changeset/ports/535531

Log:
  MFH: r535326

  cad/fritzing: fix fetch and unexpire

  The distfile has been rerolled, and (mildly) checked by the submitter
  for changes.

  PR:		245224
  Submitted by:	bob@eager.cx
  Approved by:	maintainer (timeout, 6 weeks)

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2020Q2/
  branches/2020Q2/cad/fritzing/Makefile
  branches/2020Q2/cad/fritzing/distinfo